[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TDialogButtons.SetItem

Sets the value in the indexed Items property.

## Declaration

Source position: interfacebase.pp line 108

`protected procedure TDialogButtons.SetItem(`
`Index: Integer;`
`const Value: TDialogButton`
`);`

## Arguments

`Index` |  | Ordinal position for the new value in the Items property.
`Value` |  | New value stored in the indexed Items property.

## See also

TDialogButtons.Items |  | Provides indexed access to the dialog buttons in the collection.